Clear enrichment fields on child entities
curl --request POST \
--url https://api.example.com/utils/{resource_type}/{resource_uri}/metadata/clear-enrichments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Project-ID: <x-project-id>' \
--data '
{
"fqn": "<string>",
"version_change_reason": "<string>",
"change_source": "<string>"
}
'import requests
url = "https://api.example.com/utils/{resource_type}/{resource_uri}/metadata/clear-enrichments"
payload = {
"fqn": "<string>",
"version_change_reason": "<string>",
"change_source": "<string>"
}
headers = {
"X-Project-ID": "<x-project-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Project-ID': '<x-project-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({fqn: '<string>', version_change_reason: '<string>', change_source: '<string>'})
};
fetch('https://api.example.com/utils/{resource_type}/{resource_uri}/metadata/clear-enrichments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"parent_fqn": "<string>",
"children_cleared": 123,
"items": [
{
"fqn": "<string>",
"version": "<string>"
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"error": {
"message": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"details": {}
}
}metadata
Clear enrichment fields on child entities
Clear enrichment fields on all direct children of the given FQN. For a schema FQN: clears description and tags on all tables. For a table FQN: clears description, extension, business_definition, business_rules, enrichment flags, and tags on all columns.
POST
/
utils
/
{resource_type}
/
{resource_uri}
/
metadata
/
clear-enrichments
Clear enrichment fields on child entities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Request body for clearing enrichment fields on child entities.
FQN of the parent entity whose children will be cleared. Schema FQN (3 segments) clears tables; Table FQN (4 segments) clears columns.
Required string length:
1 - 512Reason for clearing enrichments (recorded in version history)
Required string length:
1 - 500Source of change: manual, ai, automated, etc.
Maximum string length:
64Was this page helpful?
⌘I

